
Foreman - Bug #5540

User filters not migrated when user only has builtin roles

05/01/2014 02:58 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: DB migrations   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The permissions migration added in #812 doesn't migrate user filters if they only have builtin roles associated.

0. Use pre-#812 Foreman

1. Create a user with no roles (they'll get the implicit Anonymous builtin role)

2. Edit the user and add a filter on a host group

3. Migrate to post-#812

4. Check the user, they'll have no roles but should've got a personalised one

Related issues:

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 5f72ef39 - 05/05/2014 08:35 AM - Dominic Cleal

fixes #5540 - also clone builtin roles during migration

Revision 7455449e - 05/07/2014 11:55 AM - Dominic Cleal

fixes #5540 - also clone builtin roles during migration

(cherry picked from commit 5f72ef39f3bee84942d6706e2d9954d219a56ee4)

History

#1 - 05/01/2014 02:58 PM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 05/01/2014 03:30 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Target version set to 1.8.3

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1420

#3 - 05/05/2014 09:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5f72ef39f3bee84942d6706e2d9954d219a56ee4.

Powered by TCPDF (www.tcpdf.org)

05/10/2024 1/1

https://projects.theforeman.org/issues/812
https://projects.theforeman.org/issues/812
https://projects.theforeman.org/issues/812
https://github.com/theforeman/foreman/pull/1420
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5f72ef39f3bee84942d6706e2d9954d219a56ee4
http://www.tcpdf.org

